Subject: bug#73946: closed (Re: bug#73946: Cannot install emacs-common)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Oct 2024 11:50:02 +0000

Your bug report

#73946: Cannot install emacs-common

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73946: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73946
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73946: Cannot install emacs-common
From: Eli Zaretskii <[email-masked]>
To: Roger Merritt <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Oct 2024 13:49:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Roger Merritt <[email-masked]>
> Date: Wed, 23 Oct 2024 06:49:36 +0700
> 
> Thank you. I've been trying to find out who to contact.

Thanks, I'm therefore closing this bug.

Subject: Cannot install emacs-common
From: Roger Merritt <[email-masked]>
To: [email-masked]
Date: Tue, 22 Oct 2024 13:07:21 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I have installed emacs 29.4, but am not able to install emacs-common. The
command 'sudo apt install emacs-common' gives me:
[code]
$ sudo apt --fix-broken install
[sudo] password for roger:
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  emacs-common
Suggested packages:
  emacs-common-non-dfsg ncurses-term
The following NEW packages will be installed:
  emacs-common
0 upgraded, 1 newly installed, 0 to remove and 4 not upgraded.
16 not fully installed or removed.
Need to get 0 B/16.1 MB of archives.
After this operation, 80.0 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 361468 files and directories currently installed.)
Preparing to unpack .../emacs-common_1%3a29.3+1-1ubuntu2+esm1_all.deb ...
Unpacking emacs-common (1:29.3+1-1ubuntu2+esm1) ...
dpkg: error processing archive
/var/cache/apt/archives/emacs-common_1%3a29.3+1-1
ubuntu2+esm1_all.deb (--unpack):
 *trying to overwrite '/usr/include/emacs-module.h', which is also in
package emacs28 28.1~1.git5a223c7f2e-kk3+22.04*
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
[/code]
I have bolded the apparent error. This looks like a problem in the package,
rather than in the program,  but I do not know who to report this to. Can
you help?
-- 
Roger Merritt